## Common enumerations and flags Common enumerations and flags |

## Functions

const gchar * | qmi_service_get_string ()

## Types and Values

enum | QmiService

## Object Hierarchy

        GEnum
        ╰── QmiService

## Description

This section defines common enumerations and flags used in the interface.

## Functions

### qmi_service_get_string ()

    const gchar *
    qmi_service_get_string (QmiService val);

Gets the nickname string for the QmiService specified at `val` .

#### Parameters

val | a QmiService. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum QmiService

QMI services.

#### Members

QMI_SERVICE_UNKNOWN | Unknown service. |
QMI_SERVICE_CTL | Control service. |
QMI_SERVICE_WDS | Wireless Data Service. |
QMI_SERVICE_DMS | Device Management Service. |
QMI_SERVICE_NAS | Network Access Service. |
QMI_SERVICE_QOS | Quality Of Service service. |
QMI_SERVICE_WMS | Wireless Messaging Service. |
QMI_SERVICE_PDS | Position Determination Service. |
QMI_SERVICE_AUTH | Authentication service. |
QMI_SERVICE_AT | AT service. |
QMI_SERVICE_VOICE | Voice service. |
QMI_SERVICE_CAT2 | Card Application Toolkit service (v2). |
QMI_SERVICE_UIM | User Identity Module service. |
QMI_SERVICE_PBM | Phonebook Management service. |
QMI_SERVICE_QCHAT | QCHAT service. |
QMI_SERVICE_RMTFS | Remote file system service. |
QMI_SERVICE_TEST | Test service. |
QMI_SERVICE_LOC | Location service (~ PDS v2). |
QMI_SERVICE_SAR | Service access proxy service. |
QMI_SERVICE_IMS | IMS settings service. |
QMI_SERVICE_ADC | Analog to digital converter driver service. |
QMI_SERVICE_CSD | Core sound driver service. |
QMI_SERVICE_MFS | Modem embedded file system service. |
QMI_SERVICE_TIME | Time service. |
QMI_SERVICE_TS | Thermal sensors service. |
QMI_SERVICE_TMD | Thermal mitigation device service. |
QMI_SERVICE_SAP | Service access proxy service. |
QMI_SERVICE_WDA | Wireless data administrative service. |
QMI_SERVICE_TSYNC | TSYNC control service. |
QMI_SERVICE_RFSA | Remote file system access service. |
QMI_SERVICE_CSVT | Circuit switched videotelephony service. |
QMI_SERVICE_QCMAP | Qualcomm mobile access point service. |
QMI_SERVICE_IMSP | IMS presence service. |
QMI_SERVICE_IMSVT | IMS videotelephony service. |
QMI_SERVICE_IMSA | IMS application service. |
QMI_SERVICE_COEX | Coexistence service. |
QMI_SERVICE_PDC | Persistent device configuration service. |
QMI_SERVICE_STX | Simultaneous transmit service. |
QMI_SERVICE_BIT | Bearer independent transport service. |
QMI_SERVICE_IMSRTP | IMS RTP service. |
QMI_SERVICE_RFRPE | RF radiated performance enhancement service. |
QMI_SERVICE_DSD | Data system determination service. |
QMI_SERVICE_SSCTL | Subsystem control service. |
QMI_SERVICE_CAT | Card Application Toolkit service (v1). |
QMI_SERVICE_RMS | Remote Management Service. |
QMI_SERVICE_OMA | Open Mobile Alliance device management service. |